BEEM - Android XMPP - Bug #364

Beem crashes after receiving a regular phone call
07/16/2011 10:03 PM - Anonymous

Status: Closed Start date: 07/16/2011
Priority: Normal Due date:

Assignee: Frédéric Barthéléry % Done: 100%
Category: Estimated time: 0.00 hour

Target version:

Affected version:

0.1.6

Locale:

Description
I'm using the otr branch.

Steps to reproduce:
- Log in with beem.

- Leave it in the background.

- Receive a casual call.

- Experience how you have to kill beem several times and it becomes kind of unstable for some reason from that moment on.

I'm using Android 2.3.3 CyanogenMod on a Nexus One.

Here's what I've got with logcat:
// Some never useful android output here
): ConnectivityService::handleDisconnect() - disconnecting netType(0)

): ConnectivityService::handleDisconnect() - netType(0) reason: 2GVoiceCallStarted

): ConnectivityService::handleDisconnect() - netType(0) extra info: internet.ctimovil.com.ar
): ConnectivityService::handleDisconnect() - netType(0) attempting failover

): ConnectivityService::tryFailover() - checkType[1 is default, network pref = 1

// Some more not so useful output here

// And then when | try to open Beem again, | get this:
E/AndroidRuntime( 1622): FATAL EXCEPTION: main
E/AndroidRuntime( 1622): java.lang.NullPointerException

E/AndroidRuntime( 1622):
E/AndroidRuntime( 1622):
E/AndroidRuntime( 1622):

at com.beem.project.beem.ui.ChangeStatus.displayCurrentAvatar(ChangeStatus.java:358)
at com.beem.project.oeem.ui.ChangeStatus.access$500(ChangeStatus.java:96)
at

com.beem.project.oeem.ui.ChangeStatus$BeemServiceConnection.onServiceConnected(ChangeStatus.java:543)

E/AndroidRuntime( 1622):
E/AndroidRuntime( 1622):
E/AndroidRuntime( 1622):
E/AndroidRuntime( 1622):
E/AndroidRuntime( 1622):
E/AndroidRuntime( 1622):
E/AndroidRuntime( 1622):
E/AndroidRuntime( 1622):
E/AndroidRuntime( 1622):
E/AndroidRuntime( 1622):
E/AndroidRuntime( 1622):
Wr/ActivityManager( 162):

at android.app.LoadedApk$ServiceDispatcher.doConnected(LoadedApk.java:1064)
at android.app.LoadedApk$ServiceDispatcher$RunConnection.run(LoadedApk.java:1081)
at android.os.Handler.handleCallback(Handler.java:587)

at android.os.Handler.dispatchMessage(Handler.java:92)

at android.os.Looper.loop(Looper.java:123)

at android.app.ActivityThread.main(ActivityThread.java:3835)

at java.lang.reflect.Method.invokeNative(Native Method)

at java.lang.reflect.Method.invoke(Method.java:507)

at com.android.internal.os.Zygotelnit$MethodAndArgsCaller.run(Zygotelnit.java:841)
at com.android.internal.os.Zygotelnit.main(Zygotelnit.java:599)

at dalvik.system.NativeStart.main(Native Method)

Force finishing activity com.beem.project.beem/.ui.ChangeStatus

D/dalvikvm( 162): GC_EXTERNAL_ALLOC freed 625K, 47% free 5313K/9927K, external 5789K/5793K, paused 84ms

W/ActivityManager( 162): Activity pause timeout for HistoryRecord{40b9cdc0 com.beem.project.beem/.ui.ChangeStatus}

I/Process ( 1622): Sending signal. PID: 1622 SIG: 9
I/ActivityManager( 162): Process com.beem.project.oeem (pid 1622) has died.

I/WindowManager( 162): WIN DEATH: Window{40aa1668 com.beem.project.oeem/com.beem.project.beem.ui.ChangeStatus

paused=false}

I/WindowManager( 162): WIN DEATH: Window{40a22588 com.beem.project.boeem/com.beem.project.beem.ui.ContactList

paused=false}

Beem from this point on for a while gets really hard to use, it kind of freezes when connecting, and I've experienced sometimes the

whole phone being freezed when | try to unblock it, but | can't be sure if this is Beem's fault.
Related issues:

Related to Bug #367: Activity com.beem.project.beem.ui.LoginAnim has leaked S...

New

07/17/2011

History

#1 - 02/03/2012 01:33 PM - Frédéric Barthéléry
- Status changed from New to Resolved
- Assignee set to Frédéric Barthéléry

- Affected version changed from hg to 0.1.6

Solved in r902

#2 - 02/13/2012 12:28 PM - Frédéric Barthéléry
- Status changed from Resolved to Closed

- % Done changed from 0 to 100
http://elyzion.net/projects/beem/repository/11/revisions/902
